Subject: Re: [PATCH 0/1] Introduce a way to create a branch and worktree at the same time

From: Johannes Sixt <[email-masked]>
Date: Tue, 15 Mar 2016 21:40:23 +0100

Am 11.03.2016 um 03:57 schrieb Mikael Magnusson:
> You can have /usr/src/git/master, /usr/src/git/some-work-tree, etc,
> and /usr/src/git itself is not a git repository at all. That way
> /usr/src only has one git-related directory and no worktrees are
> nested.

I started using separate worktrees recently, and I chose the layout you 
sketch here. I didn't ask someone or read any documentation to find out 
about a recommended layout. I chose the layout because it felt the most 
natural.

Never in my life would I have considered nesting worktrees inside other 
worktrees.

-- Hannes